Page MenuHomePhabricator

eqiad: 1 VM request for OTRS
Closed, ResolvedPublic

Description

Labs Project Tested: n/a
Site/Location: eqiad
Number of systems: 1
Service: ticket.wikimedia.org (OTRS), replace mendelevium
Networking Requirements: internal
Processor Requirements: 4
Memory: 4GB
Disks: 25
Other Requirements: everything like mendelevium.eqiad.wmnet has it now

Event Timeline

Dzahn created this task.Mar 18 2020, 9:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 18 2020, 9:31 PM

To install OTRS on a new buster system and eventually replace the jessie instance mendelevium.

requirement for T224590

@Dzahn thanks for starting this. We can start working on this and setting it up while in covid-19 mode, I am a bit skeptical about switching over from the current one while that mode is ongoing.

A couple of notes. Looking at https://grafana.wikimedia.org/d/000000377/host-overview?orgId=1&refresh=5m&var-server=mendelevium&var-datasource=eqiad%20prometheus%2Fops&var-cluster=misc&from=now-90d&to=now

we can probably cut down on the memory requirement. 4GB seems like it will do just fine. With cached being around 2GB at any point in time and free being another 2GB, we have that room and it's a waste to give the VM memory it doesn't use.

Naming wise... how does otrs1001 sound?

We can probably cut down on the CPU as well, however that is not being reserved as a resource so it's less important.

Dzahn added a comment.Mar 19 2020, 1:56 PM

otrs1001 sounds good to me. I was also just thinking about starting it, not a switch yet. We can see how it goes later. ACK! And thanks for the comments on resources. Let's do 4GB then and keep the CPUs.

Change 582239 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/dns@master] add otrs1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/582239

Change 582239 merged by Dzahn:
[operations/dns@master] add otrs1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/582239

Dzahn updated the task description. (Show Details)Mar 20 2020, 11:02 PM

Change 583096 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] DHCP/netboot: add otrs1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/583096

Change 583096 merged by Dzahn:
[operations/puppet@production] DHCP/netboot: add otrs1001.eqiad.wmnet

https://gerrit.wikimedia.org/r/583096

Mentioned in SAL (#wikimedia-operations) [2020-03-24T15:58:36Z] <mutante> installing OS on otrs1001.eqiad.wmnet (T248028)

Change 583103 had a related patch set uploaded (by Dzahn; owner: Dzahn):
[operations/puppet@production] site: add insetup role to otrs1001

https://gerrit.wikimedia.org/r/583103

Change 583103 merged by Dzahn:
[operations/puppet@production] site: add insetup role to otrs1001

https://gerrit.wikimedia.org/r/583103

Dzahn closed this task as Resolved.Mar 24 2020, 5:11 PM
Dzahn claimed this task.

VM has been created and added to puppet with insetup role.